### Method

# Gio Task set_priority

since: 2.36

#### Declaration [src]

    void
    g_task_set_priority (
      GTask* task,
      gint priority
    )

#### Description [src]

Sets `task`‘s priority. If you do not call this, it will default to `G_PRIORITY_DEFAULT`.

This will affect the priority of `GSources` created with `g_task_attach_source()` and the scheduling of tasks run in threads, and can also be explicitly retrieved later via g_task_get_priority().

Available since: 2.36

#### Parameters

`priority`

  Type: `gint`

  The priority of the request.